# Информация за знаците (Character information) #

* Автор: Cyrille Bougot
* Съвместимост с NVDA: от 2022.3.3 и по-нови версии
* Изтегляне на [стабилна версия][1]

Тази добавка позволява да се представя в съобщение разна информация за даден
знак.

## Представена информация

Представената информация включва следните раздели:

* Уникод: информация от Уникод стандарта, т.е. име, CLDR име, стойност, блок
  и т.н.
* MS шрифт, само за знаци, написани със собствени шрифтове на Microsoft
  (Symbol, Wingding 1, 2, 3 и Webding): име и информация за еквивалентния
  Уникод знак.
* Описание на символа от NVDA: информация, позволяваща да се разбере как
  NVDA докладва описанието на символа. NVDA използва информацията в
  най-горните редове, съдържащи налична информация, за да предостави
  описание на символа.
* Описание на знака от NVDA: информация, позволяваща да се разбере как NVDA
  докладва описанието на знака (напр. "алфа" за "A"). NVDA използва
  информацията в най-горните редове, съдържащи налична информация, за да
  предостави описание на знака.


## Команди

* Клавиш 2 от цифровия блок (всички клавиатурни подредби) или NVDA+. (лаптоп
  подредба): когато се натисне 4 пъти, показва информация за знака в текущия
  навигационен обект, където се намира курсора за преглед.
* Незададено: Извежда съобщение с подробна информация за знака, където се
  намира курсорът за преглед. Ако се чувствате неудобно с жеста с
  четирикратно натискане, можете да му зададете жест в диалоговия прозорец
  за жестове на въвеждане на NVDA (категория "Преглед на текст").
* Незададено: Извежда съобщение с подробна информация за знака на позицията
  на каретката (работи само на места, където има каретка). Може да се намери
  в категорията "каретка" в диалоговия прозорец за жестове на въвеждане на
  NVDA.

## Бележки

* Има две команди, които не са зададени по подразбиране. Те трябва да бъдат
  зададени в диалоговия прозорец "Жестове на въвеждане", за да се използват.
* Предоставената информация в Уникод раздела е на английски език, тъй като е
  част от Уникод стандарта. Ако за тази добавка съществува местен превод,
  информацията се предоставя и на местния език заедно с тази на английски.


## Списък с промените

### Версия 2.1

* Поправени са някои грешки, които пречат на показването на доклада с
  информация за знаците, когато са използвани някои опции.
* Обновени преводи.

### Версия 2.0

* Подобрено е докладването с информация за символи с информация за символа
  от NVDA и описанието на знака от NVDA.
* Добавена е поддръжка за съставни знаци, напр. букви с диакритика, състоящ
  се от два или повече Unicode знака.
* Обновено до Уникод 15.0
* Обновени са френските блок данни.
* Преглеждането на информация за символи бива забранено на заключен екран и
  защитени екрани.
* На заключения екран на Windows скриптът за преглед на текущия знак вече
  може да работи нормално (еднократно, двукратно или трикратно натискане).
* Съвместимост с NVDA 2023.1.
* Премахната е съвместимостта с версии на NVDA, по-стари от
  2022.3.3. Последната версия, съвместима с NVDA 2019.3, е
  [1.8][downloadVersion1.8].
* Обновени преводи.

### Версия 1.8

* Обновено до Unicode 14.0.
* Съвместимост с NVDA 2022.1.
* Премахната е съвместимостта с версии на NVDA, по-стари от
  2019.3. Последната версия, съвместима с NVDA 2017.3, е
  [1.7][downloadVersion1.7].
* Издаването вече се изпълнява посредством действие на GitHub вместо
  AppVeyor.
* Обновени преводи.

### Версия 1.7

* Добавени преводи.

### Версия 1.6

* Съвместимост с NVDA 2021.1.

### Версия 1.5

* Подготовка за съвместимост с NVDA 2021.1 (принос от Lukasz Golonka).
* Обновяване заедно с последните промени в шаблона за добавки.

### Версия 1.4

* Добавен е скрипт за получаване на информация за знака в позицията на
  каретката (принос от Lukasz Golonka).
* Обновено до Unicode 13.0.

### Версия 1.3

* Отстранена е грешка с NVDA 2019.3.


### Версия 1.2

* Предоставя допълнителна информация за знаци, написани с шрифтове на
  Microsoft.


### Версия 1.1

* Обновления с цел поддръжка на по-нови версии на NVDA (съвместимост с
  Python 2 и 3)
* Изданията вече се изпълняват посредством appveyor


### Версия 1.0

* Първо издание.

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=charInfo

[downloadVersion1.7]:
https://github.com/CyrilleB79/charInfo/releases/download/V1.7/charInfo-1.7.nvda-addon

[downloadVersion1.8]:
https://github.com/CyrilleB79/charInfo/releases/download/V1.8/charInfo-1.8.nvda-addon
