# Character Information (Інформація про символ) #

* Автор: Cyrille Bougot
* Сумісність з NVDA: 2022.3.3 і вище
* Завантажити [стабільну версію][1]

Цей додаток дозволяє відображати в повідомленні різноманітну інформацію про
символ.

## Представлена інформація

Представлена інформація містить такі розділи:

* Unicode: інформація з норми Unicode, тобто назва, назва CLDR, значення,
  блок тощо.
* MS шрифт, тільки для символів, написаних власними шрифтами Microsoft
  (Symbol, Wingding 1, 2, 3 і Webding): назва та інформація про
  еквівалентний символ Unicode.
* Опис символу NVDA: інформація, що дозволяє зрозуміти, як NVDA подає опис
  символу. NVDA використовує інформацію у верхніх рядках, що містять
  доступну інформацію, для надання опису символу.
* Опис символів NVDA: інформація, що дозволяє зрозуміти, як NVDA подає опис
  символів (e.g., "альфа" для "A"). NVDA використовує інформацію у верхніх
  рядках, що містять доступну інформацію, для надання опису символу.


## Команди

* Додаткова2 (всі розкладки клавіатури) або NVDA+. (розкладка Laptop): при
  натисканні 4 рази, відображається інформація про символ поточного об'єкта
  навігатора, в якому розташований переглядовий курсор.
* Непризначено: Скрипт для відображення інформації про символ у позиції
  переглядового курсора. Якщо вам незручно використовувати жест
  чотириразового натискання, ви можете призначити жест в діалозі «Жести
  вводу» NVDA (Категорія«Перегляд тексту»).
* Непризначено: Скрипт для відображення інформації про символ для символа в
  позиції системної каретки (працює лише в тих місцях, де є каретка). Його
  можна знайти в категорії «Системна каретка» діалогу «Жести вводу» NVDA.

## Примітки

* Дві команди початково не призначено. Для використання їх потрібно
  призначити у діалозі Жести вводу.
* Інформація надається англійською мовою, так як вона є частиною норми
  Unicode. Якщо для цього додатка існує локальний переклад, інформація
  надається також разом з англійською мовою.


## Журнал змін

### Версія 2.1

* Виправлено деякі помилки, які перешкоджали відображенню звіту з
  інформацією про символ, коли використовувалися деякі параметри.
* Оновлено локалізації.

### Версія 2.0

* Покращено інформацію про символ NVDA у звіті про символ і опис символа
  NVDA.
* Додано підтримку складних символів, наприклад, літер e.g. з діакритичними
  знаками, що складаються з двох або більше символів Unicode.
* Оновлення до Unicode 15.0
* Оновлено дані французького блоку.
* Перегляд інформації про символи заборонено на екрані блокування та
  захищених екранах.
* На екрані блокування Windows сценарій для перегляду поточного символу
  тепер може працювати в звичайному режимі (одноразове, подвійне або
  потрійне натискання).
* Сумісність з NVDA 2023.1.
* Знижено сумісність з NVDA нижче 2022.3.3. Остання версія, сумісна з NVDA
  2019.3 [1.8][downloadVersion1.8].
* Оновлення локалізації.

### Версія 1.8

* Оновлення до Unicode 14.0.
* Сумісність з NVDA 2022.1.
* Знижено сумісність з NVDA нижче 2019.3. Остання версія, сумісна з NVDA
  2017.3 [1.7][downloadVersion1.7].
* Реліз тепер виконується завдяки дії GitHub замість appVeyor.
* Оновлення локалізації.

### Версія 1.7

* Додано локалізації.

### Версія 1.6

* Сумісність з NVDA 2021.1.

### Версія 1.5

* Підготовка сумісності з NVDA 2021.1 NVDA 2021.1 (внесок Lukasz Golonka).
* Оновлення разом з останніми змінами в шаблоні додатка.

### Версія 1.4

* Додано скрипт для отримання інформації про символ в позиції каретки
  (внесок Lukasz Golonka).
* Оновлення до Unicode 13.0.

### Версія 1.3

* Виправлено помилку в NVDA 2019.3.


### Версія 1.2

* Надає додаткову інформацію про символи, написані шрифтами Microsoft.


### Версія 1.1

* Оновлення для підтримки новіших версій NVDA (сумісних з Python 2 і 3)
* Версії зараз розробляються за допомогою appveyor


### Версія 1.0

* Перша версія.

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=charInfo

[downloadVersion1.7]:
https://github.com/CyrilleB79/charInfo/releases/download/V1.7/charInfo-1.7.nvda-addon

[downloadVersion1.8]:
https://github.com/CyrilleB79/charInfo/releases/download/V1.8/charInfo-1.8.nvda-addon
